import { Observable } from 'rxjs';
import { ActivatedRouteSnapshot, CanActivate, CanActivateChild, Router } from '@angular/router';
import { ApplicationService } from './application.service';
import { AuthService } from './auth.service';
import { GlobalEventService } from './global-event.service';
import { StartupService } from './startup.service';
export declare class ActiveTenantGuard implements CanActivate, CanActivateChild {
    private authService;
    private appService;
    private startupService;
    private globalEventService;
    private router;
    private location;
    constructor(authService: AuthService, appService: ApplicationService, startupService: StartupService, globalEventService: GlobalEventService, router: Router, location: any);
    canActivate(route: ActivatedRouteSnapshot): Observable<boolean> | boolean;
    canActivateChild(route: ActivatedRouteSnapshot): Observable<boolean> | boolean;
    checkTenants(route: ActivatedRouteSnapshot): Observable<boolean> | boolean;
}
