import { OnDestroy, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { SafeResourceUrl, SafeUrl } from '@angular/platform-browser';
import { Router } from '@angular/router';
import { ApplicationService } from '../../application.service';
import { AuthService } from '../../auth.service';
import { CustomerSelectionService } from '../../customer-selection.service';
import { GlobalEventService } from '../../global-event.service';
import { AuthUser } from '../../models';
import { StartupService } from '../../startup.service';
import { ThemeService } from '../../theme.service';
import { MenuOption } from '../navbar/customer-menu/menu-option.interface';
import { SubrogationService } from './../../subrogation/subrogation.service';
import { TenantSelectionService } from './../../tenant-selection.service';
import { MenuOverlayService } from './menu/menu-overlay.service';
export declare class HeaderComponent implements OnInit, OnDestroy {
    private subrogationService;
    private startupService;
    private menuOverlayService;
    private authService;
    private tenantService;
    private customerSelectionService;
    private themeService;
    private matDialog;
    private router;
    private applicationService;
    private globalEventService;
    /** TODO : rooting /account in portal module => move to header module */
    hasAccountProfile: boolean;
    trustedInlineLogoUrl: SafeUrl;
    hasTenantSelection: boolean;
    hasCustomerSelection: boolean;
    portalUrl: string;
    currentUser: AuthUser;
    selectedTenant: MenuOption;
    selectedCustomer: MenuOption;
    customers: MenuOption[];
    tenants: MenuOption[];
    headerLogoUrl: SafeResourceUrl;
    private destroyer$;
    constructor(subrogationService: SubrogationService, startupService: StartupService, menuOverlayService: MenuOverlayService, authService: AuthService, tenantService: TenantSelectionService, customerSelectionService: CustomerSelectionService, themeService: ThemeService, matDialog: MatDialog, router: Router, applicationService: ApplicationService, globalEventService: GlobalEventService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    updateTenant(tenant: MenuOption): void;
    updateCustomer(customer: MenuOption): void;
    enabledSubrogation(): void;
    logout(): void;
    openMenu(): void;
    /**
     * Init customer selection feature & listeners if the
     * current opened application requires it
     */
    private initCustomerSelection;
}
