import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { MatSnackBar } from '@angular/material/snack-bar';
import { AuthService } from '../../auth.service';
import { Subrogation } from '../../models';
import { SubrogationService } from '../subrogation.service';
export declare class SubrogationModalComponent implements OnInit {
    dialogRef: MatDialogRef<SubrogationModalComponent>;
    data: any;
    builder: FormBuilder;
    private authService;
    private matSnackBar;
    private subrogationService;
    stepIndex: number;
    stepCount: number;
    domains: string[];
    user: {
        email: string;
        firstname: string;
        lastname: string;
    };
    form: FormGroup;
    pending: boolean;
    private subrogation;
    constructor(dialogRef: MatDialogRef<SubrogationModalComponent>, data: any, builder: FormBuilder, authService: AuthService, matSnackBar: MatSnackBar, subrogationService: SubrogationService);
    ngOnInit(): void;
    readonly stepProgress: number;
    retrieveOrCreateSubrogation(surrogateEmail: string): void;
    askForSubrogation(): void;
    createSubrogation(surrogateEmail: string): void;
    handleSubrogationError(): void;
    logoutAndLaunchSubrogation(subrogation: Subrogation): void;
    onCancel(): void;
    cancelSubrogation(): void;
}
